summaryrefslogtreecommitdiff
path: root/dev-python/cli-helpers
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-26 03:04:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-26 03:04:34 -0500
commit704373259ee68c274d8ce04949a32d64de4b6014 (patch)
tree7a0e8486e2a8a023587be7210e8ee21355d86ee9 /dev-python/cli-helpers
parentf1b8e4e12c5e5f7dc09790bb9915ce4855b5d9ea (diff)
downloadbaldeagleos-repo-704373259ee68c274d8ce04949a32d64de4b6014.tar.gz
baldeagleos-repo-704373259ee68c274d8ce04949a32d64de4b6014.tar.xz
baldeagleos-repo-704373259ee68c274d8ce04949a32d64de4b6014.zip
Adding metadata
Diffstat (limited to 'dev-python/cli-helpers')
-rw-r--r--dev-python/cli-helpers/Manifest1
-rw-r--r--dev-python/cli-helpers/cli-helpers-2.15.1.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/cli-helpers/Manifest b/dev-python/cli-helpers/Manifest
index 11ce2ea9b55c..6ca6c52569cb 100644
--- a/dev-python/cli-helpers/Manifest
+++ b/dev-python/cli-helpers/Manifest
@@ -1 +1,2 @@
DIST cli_helpers-2.15.0.gh.tar.gz 38164 BLAKE2B 1939c2850089d1b0c555397b6d4b9bb5810bdfa51b65ae4b4c4ac19160b84b5d76f673cfd6d04e0966af63ff34b3e34b1e6b6a2070328ffc81cfd816178a17b0 SHA512 3c4913e4252c796c0b57648628d6cf4cfdfb9dfdd8ad17435fb86ef32cfe1d17951cd8fcf1eec292dc2e65485a18a606da00fa67cc7d18e6eb5193751f31b462
+DIST cli_helpers-2.15.1.gh.tar.gz 38216 BLAKE2B ad2d445605db7208aa0efc3453c59ba4a82bb8dabb2961156a36e7a0948282209491ff57f80847fbd2c3e7fd756f6b9222945f5f2721ee36a214989b08f4903c SHA512 16a0e0d959b3332ea238d0abe2036edcd70ff8bb117996a7e97efe722773a96ae5e7bafa59806ade48442ee6f0c92ae322ebef28babf6fdc1c3dfed525d8aae4
diff --git a/dev-python/cli-helpers/cli-helpers-2.15.1.ebuild b/dev-python/cli-helpers/cli-helpers-2.15.1.ebuild
new file mode 100644
index 000000000000..fd5388c4374f
--- /dev/null
+++ b/dev-python/cli-helpers/cli-helpers-2.15.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=cli_helpers-${PV}
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="
+ https://cli-helpers.rtfd.io/
+ https://github.com/dbcli/cli_helpers/
+ https://pypi.org/project/cli-helpers/
+"
+SRC_URI="
+ https://github.com/dbcli/cli_helpers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+ >=dev-python/pygments-1.6[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.10.0[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unpin deps
+ sed -i -e 's:~=:>=:' setup.py || die
+}